Package com.massivecraft.factions.shop

## Class ShopGUIFrame

- java.lang.Object
- - com.massivecraft.factions.shop.ShopGUIFrame

    public class ShopGUIFrame
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`ShopGUIFrame​(Faction f)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `buildGUI​(FPlayer fplayer)` |
`void` | `runCommands​(java.util.List<java.lang.String> list, org.bukkit.entity.Player p)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShopGUIFrame

    public ShopGUIFrame​(Faction f)

### Method Detail

#### buildGUI

    public void buildGUI​(FPlayer fplayer)

#### runCommands

    public void runCommands​(java.util.List<java.lang.String> list,
                            org.bukkit.entity.Player p)